Bug 174343 - CVE-2005-3858 ip6_input_finish DoS
CVE-2005-3858 ip6_input_finish DoS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Thomas Graf
Brian Brock
public=20050826,reported=20051128,sou...
: Security
Depends On:
Blocks: 168430
  Show dependency treegraph
 
Reported: 2005-11-28 05:51 EST by Mark J. Cox (Product Security)
Modified: 2014-06-18 04:28 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2006-0101
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-17 03:36:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-11-28 05:51:22 EST
Memory leak in the ip6_input_finish function in ip6_input.c in
        Linux kernel 2.6.12 and earlier might allow attackers to cause
        a denial of service via malformed IPv6 packets with
        unspecified parameter problems, which prevents the SKB from
        being freed.

fix:
http://linux.bkbits.net:8080/linux-2.6/cset@43038a36yqEFo2e8h2xX_8mCr4iSqg

discussion:
http://marc.theaimsgroup.com/?l=linux-kernel&m=112508479120081&w=2
http://marc.theaimsgroup.com/?l=linux-kernel&m=112533899509033&w=2
Comment 7 Red Hat Bugzilla 2006-01-17 03:36:14 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0101.html

Note You need to log in before you can comment on or make changes to this bug.